Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpSetCookieList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpSetCookieList

public class HttpSetCookieList
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpSetCookieList(HttpSetCookie[] sc)`

Method Summary
`void` | `addSetCookie(HttpSetCookie setCookie)`
`HttpSetCookie` | `addSetCookie(java.lang.String name, java.lang.String value)` Add a specific cookie to the SetCookie header value.
`protected void` | `checkByteValues()`
`protected void` | `emitCookie(java.io.OutputStream out, int cookie)`
`HttpSetCookie` | `getSetCookie(java.lang.String name)` Get the cookie infos associated with the given cookie name, if any.
`HttpSetCookie[]` | `getSetCookies()`
`java.lang.Object` | `getValue()`
`protected int` | `length()`
`protected void` | `parse()` parse set cookie header according to the specification: http://www.netscape.com/newsref/std/cookie_spec.html
`boolean` | `removeSetCookie(java.lang.String name)` Remove a predefined cookie from this SetCookie header.
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSetCookieList

    public HttpSetCookieList(HttpSetCookie[] sc)

Method Detail

### length

    protected int length()

### emitCookie

    protected void emitCookie(java.io.OutputStream out,
                              int cookie)
                       throws java.io.IOException

### checkByteValues

    protected final void checkByteValues()

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### parse

    protected void parse()
                  throws HttpParserException

  parse set cookie header according to the specification: http://www.netscape.com/newsref/std/cookie_spec.html
  Throws:
    HttpParserException - if parsing failed.
  Overrides:
    parse in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### addSetCookie

    public HttpSetCookie addSetCookie(java.lang.String name,
                                      java.lang.String value)

  Add a specific cookie to the SetCookie header value. This method creates a new, empty SetCookie holder, attaches it to the SetCookie header, and returns it.
  Parameters:
    `name` - The cookie's name.
    `value` - The cookie's value.

### addSetCookie

    public void addSetCookie(HttpSetCookie setCookie)

### removeSetCookie

    public boolean removeSetCookie(java.lang.String name)

  Remove a predefined cookie from this SetCookie header.
  Parameters:
    `name` - The name of the cookie to remove.
  Returns:
    A boolean true if removed, false otherwise.

### getSetCookie

    public HttpSetCookie getSetCookie(java.lang.String name)

  Get the cookie infos associated with the given cookie name, if any.
  Parameters:
    `name` - The cookie's name.
  Returns:
    A HttpSetCookie instance, if found, or null otherwise.

### getSetCookies

    public HttpSetCookie[] getSetCookies()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD